1 - 1.3
get /v1/private-nats
Description
Private NAT 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Private NAT 명 Example : PrivateNatName | any of [string, null] | None |
| query | cidr optional | Private NAT IP 대역 Example : 192.167.0.0/24 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | service_resource_id optional | Private NAT에 연결된 Service Resource ID Example : 3f342bf9a557405b997c2cf48c89cbc2 | any of [string, null] | None |
| query | service_type optional | Private NAT에 연결된 Service Type Example : DIRECT_CONNECT | enum (DIRECT_CONNECT, TRANSIT_GATEWAY) | None |
| query | service_resource_name optional | Private NAT에 연결된 Service Resource 이름 Example : Service Resource Name | any of [string, null] | None |
| query | state optional | Private NAT 상태 Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatListResponseV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.3"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nats": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "PrivateNat Description",
"id": "12f56e27070248a6a240a497e43fbe18",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "PrivateNatName",
"service_resource_id": "3f342bf9a557405b997c2cf48c89cbc2",
"service_resource_name": "PrivateNatName",
"service_type": "DIRECT_CONNECT",
"state": "ACTIVE"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
2 - 1.2
get /v1/private-nats
Description
Private NAT 목록 조회
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Private NAT 명 Example : PrivateNatName | any of [string, null] | None |
| query | cidr optional | Private NAT IP 대역 Example : 192.167.0.0/24 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | service_resource_id optional | Private NAT에 연결된 Service Resource ID Example : 3f342bf9a557405b997c2cf48c89cbc2 | any of [string, null] | None |
| query | service_type optional | Private NAT에 연결된 Service Type Example : DIRECT_CONNECT | enum (DIRECT_CONNECT, TRANSIT_GATEWAY) | None |
| query | service_resource_name optional | Private NAT에 연결된 Service Resource 이름 Example : Service Resource Name | any of [string, null] | None |
| query | state optional | Private NAT 상태 Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatListResponseV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nats": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "PrivateNat Description",
"id": "12f56e27070248a6a240a497e43fbe18",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "PrivateNatName",
"service_resource_id": "3f342bf9a557405b997c2cf48c89cbc2",
"service_resource_name": "PrivateNatName",
"service_type": "DIRECT_CONNECT",
"state": "ACTIVE"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
3 - 1.1
get /v1/private-nats
Description
Private NAT 목록 조회
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Private NAT 명 Example : PrivateNatName | any of [string, null] | None |
| query | cidr optional | Private NAT IP 대역 Example : 192.167.0.0/24 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | vpc_name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | direct_connect_id optional | Direct Connect ID Example : fe860e0af0c04dcd8182b84f907f31f4 | any of [string, null] | None |
| query | direct_connect_name optional | Direct Connect명 Example : DirectConnectName | any of [string, null] | None |
| query | state optional | Private NAT 상태 Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nats": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "PrivateNat Description",
"direct_connect_id": "fe860e0af0c04dcd8182b84f907f31f4",
"direct_connect_name": "DirectConnectName",
"id": "12f56e27070248a6a240a497e43fbe18",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "PrivateNatName",
"state": "ACTIVE",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
4 - 1.0
get /v1/private-nats
Description
Private NAT 목록 조회
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Private NAT 명 Example : PrivateNatName | any of [string, null] | None |
| query | cidr optional | Private NAT IP 대역 Example : 192.167.0.0/24 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | vpc_name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | direct_connect_id optional | Direct Connect ID Example : fe860e0af0c04dcd8182b84f907f31f4 | any of [string, null] | None |
| query | direct_connect_name optional | Direct Connect명 Example : DirectConnectName | any of [string, null] | None |
| query | state optional | Private NAT 상태 Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nats": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "PrivateNat Description",
"direct_connect_id": "fe860e0af0c04dcd8182b84f907f31f4",
"direct_connect_name": "DirectConnectName",
"id": "12f56e27070248a6a240a497e43fbe18",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "PrivateNatName",
"state": "ACTIVE",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}